org.red5.server.net.rtmp.codec

## Interface IEventEncoder

All Known Implementing Classes:
  RTMPProtocolEncoder, RTMPTProtocolEncoder

    public interface IEventEncoder

Encodes events to byte buffer.

### Method Summary

Methods
`org.apache.mina.core.buffer.IoBuffer` `encodeAggregate(Aggregate aggregate)` Encodes Aggregate event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeAudioData(AudioData audioData)` Encodes AudioData event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeBytesRead(BytesRead streamBytesRead)` Encodes BytesRead event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeChunkSize(ChunkSize chunkSize)` Encodes ChunkSize event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeFlexSharedObject(ISharedObjectMessage so, RTMP rtmp)` Encodes SharedObjectMessage event to byte buffer using AMF3 encoding.
`org.apache.mina.core.buffer.IoBuffer` `encodeInvoke(Invoke invoke, RTMP rtmp)` Encodes Invoke event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeNotify(Notify notify, RTMP rtmp)` Encodes Notify event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodePing(Ping ping)` Encodes Ping event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeSharedObject(ISharedObjectMessage so, RTMP rtmp)` Encodes SharedObjectMessage event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeUnknown(Unknown unknown)` Encodes Unknown event to byte buffer.
`org.apache.mina.core.buffer.IoBuffer` `encodeVideoData(VideoData videoData)` Encodes VideoData event to byte buffer.

### Method Detail

#### encodeNotify

    org.apache.mina.core.buffer.IoBuffer encodeNotify(Notify notify,
                                                    RTMP rtmp)

Encodes Notify event to byte buffer.

Parameters:
  `notify` - Notify event
  `rtmp` - RTMP protocol state
Returns:
  Byte buffer

#### encodeInvoke

    org.apache.mina.core.buffer.IoBuffer encodeInvoke(Invoke invoke,
                                                    RTMP rtmp)

Encodes Invoke event to byte buffer.

Parameters:
  `invoke` - Invoke event
  `rtmp` - RTMP protocol state
Returns:
  Byte buffer

#### encodePing

    org.apache.mina.core.buffer.IoBuffer encodePing(Ping ping)

Encodes Ping event to byte buffer.

Parameters:
  `ping` - Ping event
Returns:
  Byte buffer

#### encodeBytesRead

    org.apache.mina.core.buffer.IoBuffer encodeBytesRead(BytesRead streamBytesRead)

Encodes BytesRead event to byte buffer.

Parameters:
  `streamBytesRead` - BytesRead event
Returns:
  Byte buffer

#### encodeAggregate

    org.apache.mina.core.buffer.IoBuffer encodeAggregate(Aggregate aggregate)

Encodes Aggregate event to byte buffer.

Parameters:
  `aggregate` - Aggregate event
Returns:
  Byte buffer

#### encodeAudioData

    org.apache.mina.core.buffer.IoBuffer encodeAudioData(AudioData audioData)

Encodes AudioData event to byte buffer.

Parameters:
  `audioData` - AudioData event
Returns:
  Byte buffer

#### encodeVideoData

    org.apache.mina.core.buffer.IoBuffer encodeVideoData(VideoData videoData)

Encodes VideoData event to byte buffer.

Parameters:
  `videoData` - VideoData event
Returns:
  Byte buffer

#### encodeUnknown

    org.apache.mina.core.buffer.IoBuffer encodeUnknown(Unknown unknown)

Encodes Unknown event to byte buffer.

Parameters:
  `unknown` - Unknown event
Returns:
  Byte buffer

#### encodeChunkSize

    org.apache.mina.core.buffer.IoBuffer encodeChunkSize(ChunkSize chunkSize)

Encodes ChunkSize event to byte buffer.

Parameters:
  `chunkSize` - ChunkSize event
Returns:
  Byte buffer

#### encodeSharedObject

    org.apache.mina.core.buffer.IoBuffer encodeSharedObject(ISharedObjectMessage so,
                                                          RTMP rtmp)

Encodes SharedObjectMessage event to byte buffer.

Parameters:
  `so` - ISharedObjectMessage event
  `rtmp` - RTMP protocol state
Returns:
  Byte buffer

#### encodeFlexSharedObject

    org.apache.mina.core.buffer.IoBuffer encodeFlexSharedObject(ISharedObjectMessage so,
                                                              RTMP rtmp)

Encodes SharedObjectMessage event to byte buffer using AMF3 encoding.

Parameters:
  `so` - ISharedObjectMessage event
  `rtmp` - RTMP protocol state
Returns:
  Byte buffer